

# AcceptPrimaryEmailUpdate


Accepts the request that originated from [StartPrimaryEmailUpdate](API_StartPrimaryEmailUpdate.md) to update the Amazon Web Services email address for the specified account.

## Request Syntax


```
POST /acceptPrimaryEmailUpdate HTTP/1.1
Content-type: application/json

{
   "AccountId": "string",
   "Otp": "string",
   "PrimaryEmail": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [AccountId](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-AccountId"></a>
Specifies the 12-digit account ID number of the Amazon Web Services account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
This operation can only be called from the management account or the delegated administrator account of an organization for a member account.  
The management account can't specify its own `AccountId`.
Type: String  
Pattern: `\d{12}`   
Required: Yes

 ** [Otp](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-Otp"></a>
The OTP code sent to the `PrimaryEmail` specified on the `StartPrimaryEmailUpdate` API call.  
Type: String  
Pattern: `[a-zA-Z0-9]{6}`   
Required: Yes

 ** [PrimaryEmail](#API_AcceptPrimaryEmailUpdate_RequestSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-request-PrimaryEmail"></a>
The new Amazon Web Services email address for use with the specified account. This must match the `PrimaryEmail` from the `StartPrimaryEmailUpdate` API call.  
Type: String  
Length Constraints: Minimum length of 5. Maximum length of 64.  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Status](#API_AcceptPrimaryEmailUpdate_ResponseSyntax) **   <a name="accounts-AcceptPrimaryEmailUpdate-response-Status"></a>
Retrieves the status of the accepted Amazon Web Services email update request.  
Type: String  
Valid Values: `PENDING | ACCEPTED` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current status of the resource. For example, this happens if you try to enable a Region that is currently being disabled (in a status of DISABLING) or if you try to change an account’s Amazon Web Services email to an email address which is already in use.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 409

 ** InternalServerException **   
The operation failed because of an error internal to Amazon. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The operation failed because it specified a resource that can't be found.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 404

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/account-2021-02-01/AcceptPrimaryEmailUpdate) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/account-2021-02-01/AcceptPrimaryEmailUpdate) 